For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all units
        • GETGet a unit by ID
        • PUTUpdate Unit: MRI - Not Supported
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
MRIUnits

Update Unit: MRI - Not Supported

PUT
/v1/units/mri/:unit_id
PUT
/v1/units/mri/:unit_id
$curl -X PUT https://api.propexo.com/v1/units/mri/unit_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{}
MRI does not support updating a unit via their API. This endpoint will always return a 405, with an error message specifying that updating a unit in a MRI integration is not supported due to the lack of upstream support.MRI does not provide a way to update the majority of data on units with their MIX APIs. This is available through their developer APIs, but the developer APIs are recommended to be avoided by integrating systems due to their unchecked data entry that can lead to system corruption.
Was this page helpful?
Previous

Get all vendors

Next
Built with
MRI does not support updating a unit via their API. This endpoint will always return a 405, with an error message specifying that updating a unit in a MRI integration is not supported due to the lack of upstream support.MRI does not provide a way to update the majority of data on units with their MIX APIs. This is available through their developer APIs, but the developer APIs are recommended to be avoided by integrating systems due to their unchecked data entry that can lead to system corruption.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

unit_idstringRequired
The ID of the resource.

Request

This endpoint expects an object.

Response

Successful response

Errors

400
Bad Request Error